## python-aioamqp 0.12.0

=== Makefile ===
.PHONY: doc test update

PACKAGE = aioamqp

NOSETESTS ?= nosetests
TEST_OPTIONS ?= --verbosity=2
PYLINT_RC ?= .pylintrc

BUILD_DIR ?= build
INPUT_DIR ?= docs

# Sphinx options (are passed to build_docs, which passes them to sphinx-build)
#   -W       : turn warning into errors
#   -a       : write all files
#   -b html  : use html builder
#   -i [pat] : ignore pattern

SPHINXOPTS ?= -a -W -b html
AUTOSPHINXOPTS := -i *~ -i *.sw* -i Makefile*

SPHINXBUILDDIR ?= $(BUILD_DIR)/sphinx/html
ALLSPHINXOPTS ?= -d $(BUILD_DIR)/sphinx/doctrees $(SPHINXOPTS) docs

doc:
	sphinx-build -a $(INPUT_DIR) build

livehtml: docs
	sphinx-autobuild $(AUTOSPHINXOPTS) $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)

test:
	$(NOSETESTS) $(PACKAGE) $(TEST_OPTIONS)


update:
	pip install -r requirements_dev.txt


### semi-private targets used by polyconseil's CI (copy-pasted from blease) ###

.PHONY: reports jenkins-test jenkins-quality

reports:
	mkdir -p reports

jenkins-test: reports
	$(MAKE) test TEST_OPTIONS="--with-coverage --cover-package=$(PACKAGE) \
		--cover-xml --cover-xml-file=reports/xmlcov.xml \
		--with-xunit --xunit-file=reports/TEST-$(PACKAGE).xml \
		-v \
		$(TEST_OPTIONS)"

jenkins-quality: reports
	pylint --rcfile=$(PYLINT_RC) $(PACKAGE) > reports/pylint.report || true

## python-aioamqp 0.11.0

=== debian/changelog ===
python-aioamqp (0.11.0-1) unstable; urgency=low

  * Initial release (Closes: #860010).

 -- Michael Fladischer <fladi@debian.org>  Wed, 22 Aug 2018 20:37:09 +0200

=== debian/control ===
Source: python-aioamqp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.2.0
Homepage: https://github.com/Polyconseil/aioamqp/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aioamqp
Vcs-Git: https://salsa.debian.org/python-team/modules/python-aioamqp.git
Testsuite: autopkgtest-pkg-python

Package: python-aioamqp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: AMQP implementation using asyncio (Documentation)
 aioamqp library is a pure-Python implementation of the AMQP 0.9.1 protocol.
 .
 Built on top on Python's asynchronous I/O support introduced in PEP 3156, it
 provides an API based on coroutines, making it easy to write highly concurrent
 applications.
 .
 This package contains the documentation.

Package: python3-aioamqp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-aioamqp-doc,
Description: AMQP implementation using asyncio (Python3 version)
 aioamqp library is a pure-Python implementation of the AMQP 0.9.1 protocol.
 .
 Built on top on Python's asynchronous I/O support introduced in PEP 3156, it
 provides an API based on coroutines, making it easy to write highly concurrent
 applications.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=aioamqp
export PYBUILD_DISABLE=test # pyrabbit required

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-aioamqp-doc/usr/share/doc/python-aioamqp-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-aioamqp 0.12.0

=== debian/changelog ===
python-aioamqp (0.12.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Sat, 22 Dec 2018 22:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/Polyconseil/aioamqp/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aioamqp
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-aioamqp.git

## python-aioamqp 0.14.0

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 PACKAGE = aioamqp
 
-NOSETESTS ?= nosetests
-TEST_OPTIONS ?= --verbosity=2
+TEST_LAUNCHER ?= pytest
+TEST_OPTIONS ?= -v -s --timeout=60
 PYLINT_RC ?= .pylintrc
 
 BUILD_DIR ?= build
@@ -28,11 +28,14 @@
 	sphinx-autobuild $(AUTOSPHINXOPTS) $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)
 
 test:
-	$(NOSETESTS) $(PACKAGE) $(TEST_OPTIONS)
+	$(TEST_LAUNCHER) $(TEST_OPTIONS) $(PACKAGE)
 
 
 update:
-	pip install -r requirements_dev.txt
+	pip install --upgrade --upgrade-strategy=eager -r requirements_dev.txt
+
+pylint:
+	pylint aioamqp
 
 
 ### semi-private targets used by polyconseil's CI (copy-pasted from blease) ###
@@ -43,9 +46,9 @@
 	mkdir -p reports
 
 jenkins-test: reports
-	$(MAKE) test TEST_OPTIONS="--with-coverage --cover-package=$(PACKAGE) \
-		--cover-xml --cover-xml-file=reports/xmlcov.xml \
-		--with-xunit --xunit-file=reports/TEST-$(PACKAGE).xml \
+	$(MAKE) test TEST_OPTIONS="--cov=$(PACKAGE) \
+		--cov-report xml:reports/xmlcov.xml \
+		--junitxml=reports/TEST-$(PACKAGE).xml \
 		-v \
 		$(TEST_OPTIONS)"

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aioamqp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aioamqp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aioamqp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aioamqp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-aioamqp (0.14.0-1) unstable; urgency=low

  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Mon, 16 Dec 2019 20:52:24 +0100

python-aioamqp (0.13.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.1.
  * Add python3-pamqp to Build-Depends as required by tests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 11 Nov 2019 21:00:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
+ python3-pamqp,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/Polyconseil/aioamqp/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aioamqp
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-aioamqp.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-aioamqp-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-aioamqp-doc/usr/share/doc/python-aioamqp-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-aioamqp-doc/usr/share/doc/python-aioamqp-doc/html
 	dh_sphinxdoc
 endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/aioamqp-([\d\.]+.*)$/python-aioamqp-$1/ \
https://github.com/Polyconseil/aioamqp/releases \
/Polyconseil/aioamqp/archive/aioamqp-([\d\.]+)\.tar\.gz

## python-aioamqp 0.15.0

=== debian/changelog ===
python-aioamqp (0.15.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-aioamqp-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:11:33 +0000

python-aioamqp (0.15.0-1) unstable; urgency=low

  * New upstream release.
  * Drop upstream patch for pamqp, it is now included in this release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 26 Apr 2022 21:36:45 +0000

python-aioamqp (0.14.0-5) unstable; urgency=medium

  * Bump version requirement for python3-pamqp to >= 3.1 (Closes: #1004046).
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 02 Feb 2022 12:12:54 +0000

python-aioamqp (0.14.0-4) unstable; urgency=medium

  * Team upload.
  * d/p/0001-Moves-to-pamqp-3.0.patch: Support pamqp 3.0. (Closes: #1002778)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 07 Jan 2022 21:15:45 -0500

python-aioamqp (0.14.0-3) unstable; urgency=low

  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.

 -- Michael Fladischer <fladi@debian.org>  Sun, 07 Nov 2021 19:20:21 +0000

python-aioamqp (0.14.0-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * Update d/watch to work with github again.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Sat, 04 Sep 2021 19:42:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: python-aioamqp
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-pamqp,
+ python3-pamqp (>= 3.1~),
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Polyconseil/aioamqp/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aioamqp
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-aioamqp.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aioamqp
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-aioamqp.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -25,6 +25,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: AMQP implementation using asyncio (Documentation)
  aioamqp library is a pure-Python implementation of the AMQP 0.9.1 protocol.
  .

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/aioamqp-([\d\.]+.*)$/python-aioamqp-$1/ \
https://github.com/Polyconseil/aioamqp/tags \
/Polyconseil/aioamqp/archive/refs/tags/aioamqp-([\d\.]+)\.tar\.gz
